JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.comm.jsi
Interface JSIChannel

All Known Implementing Classes:
  TCPChannel

public interface JSIChannel

A communication channel for sending/receiving JSI messages.

Method Summary
`void` `disconnect()` Disconnect the channel from its peer.
`byte[]` `recvMessage()` Receive a flattened message from the peer.
`void` `replyMessage(byte[] msg)` Send a reply message to the peer.
`void` `sendMessage(byte[] msg)` Send a message to the peer.

Method Detail

### disconnect

    public void disconnect()

  Disconnect the channel from its peer.

### sendMessage

    public void sendMessage(byte[] msg)
                     throws java.io.IOException

  Send a message to the peer.
  Parameters:
    `msg` - A flattened JSI message.
  Throws:
    Throws - an IOException if something went wrong.

### replyMessage

    public void replyMessage(byte[] msg)
                      throws java.io.IOException

  Send a reply message to the peer.
  Parameters:
    `msg` - A flattened JSI message.
  Throws:
    Throws - an IOException if something went wrong.

### recvMessage

    public byte[] recvMessage()
                       throws java.io.IOException

  Receive a flattened message from the peer.
  Returns:
    The flattened message or null if the channel is no longer connected.
  Throws:
    Throws - an IOException if something went wrong.

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002